package backstage_model

// BrandReq 创建品牌校验
type BrandReq struct {
	Id           int
	BrandName    string `v:"required|length:0,50#品牌名称不能为空|品牌名称不能大于:max"`
	BrandLogo    string `v:"required#品牌Logo不能为空"`
	BrandInfo    string `v:"required|length:0,150#品牌简介不能为空|品牌简介不能大于:max"`
	BrandPerson  string `v:"required|length:0,50#品牌对接人不能为空|品牌对接人不能大于:max"`
	BrandContact string `v:"required|length:0,50#对接人联系方式不能为空|对接人联系方式不能大于:max"`
	BrandTitle   string `v:"required|length:0,50#对接人职称不能为空|对接人职称不能大于:max"`
}

// BrandResp 品牌查询返回值,更新
type BrandResp struct {
	Id           int    `orm:"id" json:"id"`
	BrandName    string `orm:"brand_name" json:"brandName"`
	BrandLogo    string `orm:"brand_logo" json:"brandLogo"`
	BrandInfo    string `orm:"brand_info" json:"brandInfo"`
	BrandPerson  string `orm:"brand_person" json:"brandPerson"`
	BrandContact string `orm:"brand_contact" json:"brandContact"`
	BrandTitle   string `orm:"brand_title" json:"brandTitle"`
}

// BrandDelete 删除和单个ID查询校验所用结构体
type BrandDelete struct {
	Id string `v:"required#删除id不能为空"`
}

// BrandFind 所有分页查询接收信息类型
type BrandFind struct {
	IndexPage int `v:"required#页码不能为空"`
	PageSize  int `v:"required#每页展示行数不能为空"`
}
