package backstage_model

import "github.com/gogf/gf/os/gtime"

// RequestBrand 品牌请求信息
type RequestBrand struct {
	BrandId      int         `orm:"brand_id,primary"    json:"brandId"` // 品牌信息id
	BrandName    string      `orm:"brand_name"    json:"brandName"`     // 品牌名称
	BrandLogo    string      `orm:"brand_logo"    json:"brandLogo"`     // 品牌logo链接地址
	BrandInfo    string      `orm:"brand_info"    json:"brandInfo"`     // 品牌信息简介
	BrandPerson  string      `orm:"brand_person"  json:"brandPerson"`   // 品牌对接人
	BrandContact string      `orm:"brand_contact" json:"brandContact"`  // 品牌对接人联系方式
	BrandTitle   string      `orm:"brand_title"   json:"brandTitle"`    // 品牌对接人职称
	CreatedAt    *gtime.Time `orm:"created_at"    json:"createdAt"`     // 创建时间
	CreatPeople  string      `orm:"creat_people"  json:"creatPeople"`   // 创建人
	UpdatedAt    *gtime.Time `orm:"updated_at"    json:"updatedAt"`     // 更新时间
	UpdatePeople string      `orm:"update_people" json:"updatePeople"`  // 更新人
}

// RequestNotIdBrand 品牌请求信息
type RequestNotIdBrand struct {
	BrandName    string      `orm:"brand_name"    json:"brandName"`    // 品牌名称
	BrandLogo    string      `orm:"brand_logo"    json:"brandLogo"`    // 品牌logo链接地址
	BrandInfo    string      `orm:"brand_info"    json:"brandInfo"`    // 品牌信息简介
	BrandPerson  string      `orm:"brand_person"  json:"brandPerson"`  // 品牌对接人
	BrandContact string      `orm:"brand_contact" json:"brandContact"` // 品牌对接人联系方式
	BrandTitle   string      `orm:"brand_title"   json:"brandTitle"`   // 品牌对接人职称
	CreatedAt    *gtime.Time `orm:"created_at"    json:"createdAt"`    // 创建时间
	CreatPeople  string      `orm:"creat_people"  json:"creatPeople"`  // 创建人
	UpdatedAt    *gtime.Time `orm:"updated_at"    json:"updatedAt"`    // 更新时间
	UpdatePeople string      `orm:"update_people" json:"updatePeople"` // 更新人
}

// RequestProduct 商品创建请求信息
type RequestProduct struct {
	ProductId            int         `orm:"product_id,primary"            json:"ProductId"`    //
	ProductName          string      `orm:"product_name"          json:"productName"`          // 商品名称
	ProductType          int         `orm:"product_type"          json:"productType"`          // 商品类型 1：实物 ，2：商品，3：线下
	ProductClassify      int         `orm:"product_classify"      json:"productClassify"`      // 商品分类id(info_product_classifyh表id)
	ProductPrice         int64       `orm:"product_price"         json:"productPrice"`         // 商品价值
	ProductSpecification string      `orm:"product_specification" json:"productSpecification"` // 商品规格
	CreatedAt            *gtime.Time `orm:"created_at"            json:"createdAt"`            // 创建时间
	CreatPeople          string      `orm:"creat_people"          json:"creatPeople"`          // 创建人
	UpdatedAt            *gtime.Time `orm:"updated_at"            json:"updatedAt"`            // 更新时间
	UpdatePeople         string      `orm:"update_people"         json:"updatePeople"`         // 更新人
}

// RequestNotIdProduct 商品创建请求信息
type RequestNotIdProduct struct {
	ProductName          string      `orm:"product_name"          json:"productName"`          // 商品名称
	ProductType          int         `orm:"product_type"          json:"productType"`          // 商品类型 1：实物 ，2：商品，3：线下
	ProductClassify      int         `orm:"product_classify"      json:"productClassify"`      // 商品分类id(info_product_classifyh表id)
	ProductPrice         int64       `orm:"product_price"         json:"productPrice"`         // 商品价值
	ProductSpecification string      `orm:"product_specification" json:"productSpecification"` // 商品规格
	CreatedAt            *gtime.Time `orm:"created_at"            json:"createdAt"`            // 创建时间
	CreatPeople          string      `orm:"creat_people"          json:"creatPeople"`          // 创建人
	UpdatedAt            *gtime.Time `orm:"updated_at"            json:"updatedAt"`            // 更新时间
	UpdatePeople         string      `orm:"update_people"         json:"updatePeople"`         // 更新人
}

// RequestProductPhoto 商品图片保存
type RequestProductPhoto struct {
	ProductPhotoId int         `orm:"product_photo_id,primary" json:"productPhotoId"` // 商品链接图主键id
	ProductId      int         `orm:"product_id"               json:"productId"`      // 商品表id
	Symbol         int         `orm:"symbol"                   json:"symbol"`         // 图片是主图还是详情图标志位 1主图 2详情图
	PhotoUrl       string      `orm:"photo_url"                json:"photoUrl"`       // 商品图片链接
	CreatedAt      *gtime.Time `orm:"created_at"               json:"createdAt"`      // 创建时间
	CreatPeople    string      `orm:"creat_people"             json:"creatPeople"`    // 创建人
	UpdatedAt      *gtime.Time `orm:"updated_at"               json:"updatedAt"`      // 更新时间
	UpdatePeople   string      `orm:"update_people"            json:"updatePeople"`   // 更新人
}

// RequestNotIdProductPhoto 商品图片保存
type RequestNotIdProductPhoto struct {
	ProductPhotoId int         `orm:"product_photo_id,primary" json:"productPhotoId"` // 商品链接图主键id
	ProductId      int         `orm:"product_id"               json:"productId"`      // 商品表id
	Symbol         int         `orm:"symbol"                   json:"symbol"`         // 图片是主图还是详情图标志位 1主图 2详情图
	PhotoUrl       string      `orm:"photo_url"                json:"photoUrl"`       // 商品图片链接
	CreatedAt      *gtime.Time `orm:"created_at"               json:"createdAt"`      // 创建时间
	CreatPeople    string      `orm:"creat_people"             json:"creatPeople"`    // 创建人
	UpdatedAt      *gtime.Time `orm:"updated_at"               json:"updatedAt"`      // 更新时间
	UpdatePeople   string      `orm:"update_people"            json:"updatePeople"`   // 更新人
}

// RequestTaskBaseInfo 任务基础信息
type RequestTaskBaseInfo struct {
	TaskId         int         `orm:"task_id,primary"  json:"taskId"`         // 任务基础信息id
	TaskName       string      `orm:"task_name"        json:"taskName"`       // 任务名称
	TaskPlatform   int         `orm:"task_platform"    json:"taskPlatform"`   // 任务平台id,取third_platform_info表id
	TaskMode       int         `orm:"task_mode"        json:"taskMode"`       // 任务模式 1置换任务 2稿费任务 3折扣任务
	BusinessType   int         `orm:"business_type"    json:"businessType"`   // 业务类型 1实物 2虚拟 3线下
	ContentForm    int         `orm:"content_form"     json:"contentForm"`    // 内容形式 低4位为图片和视频类型，0001原创图片 0010指定图片 0100原创视频 1000指定视频 5~6位为文案类型 010000为原创文案 100000为指定文案 第7位为是否直播01000000为直播00000000为非直播
	OtherForm      int         `orm:"other_form"       json:"otherForm"`      // 其他形式 0不限 1仅单品 2仅合辑
	StartTime      *gtime.Time `orm:"start_time"       json:"startTime"`      // 作品开始时间
	EndTime        *gtime.Time `orm:"end_time"         json:"endTime"`        // 作品结束时间
	DeadlineTime   *gtime.Time `orm:"deadline_time"    json:"deadlineTime"`   // 任务报名截至日期
	TaskStatus     int         `orm:"task_status"      json:"taskStatus"`     // 任务状态(0创建中 1待上线 2已取消 3报名中 4报名执行中 5执行中 6已结案 7已终止)
	TaskCreateFlag uint        `orm:"task_create_flag" json:"taskCreateFlag"` // 创建任务时提交状态
	BrandId        int         `orm:"brand_id"         json:"brandId"`        // 品牌id
	ProductId      int         `orm:"product_id"       json:"productId"`      // 任务商品id
	CreatedAt      *gtime.Time `orm:"created_at"       json:"createdAt"`      // 创建时间
	OnlineTime     *gtime.Time `orm:"online_time"      json:"onlineTime"`     // 上线时间
}

// RequestNotIdTaskBaseInfo 任务基础信息
type RequestNotIdTaskBaseInfo struct {
	TaskName       string      `orm:"task_name"        json:"taskName"`       // 任务名称
	TaskPlatform   int         `orm:"task_platform"    json:"taskPlatform"`   // 任务平台id,取third_platform_info表id
	TaskMode       int         `orm:"task_mode"        json:"taskMode"`       // 任务模式 1置换任务 2稿费任务 3折扣任务
	BusinessType   int         `orm:"business_type"    json:"businessType"`   // 业务类型 1实物 2虚拟 3线下
	ContentForm    int         `orm:"content_form"     json:"contentForm"`    // 内容形式 低4位为图片和视频类型，0001原创图片 0010指定图片 0100原创视频 1000指定视频 5~6位为文案类型 010000为原创文案 100000为指定文案 第7位为是否直播01000000为直播00000000为非直播
	OtherForm      int         `orm:"other_form"       json:"otherForm"`      // 其他形式 0不限 1仅单品 2仅合辑
	StartTime      *gtime.Time `orm:"start_time"       json:"startTime"`      // 作品开始时间
	EndTime        *gtime.Time `orm:"end_time"         json:"endTime"`        // 作品结束时间
	DeadlineTime   *gtime.Time `orm:"deadline_time"    json:"deadlineTime"`   // 任务报名截至日期
	TaskStatus     int         `orm:"task_status"      json:"taskStatus"`     // 任务状态(0创建中 1待上线 2已取消 3报名中 4报名执行中 5执行中 6已结案 7已终止)
	TaskCreateFlag uint        `orm:"task_create_flag" json:"taskCreateFlag"` // 创建任务时提交状态
	BrandId        int         `orm:"brand_id"         json:"brandId"`        // 品牌id
	ProductId      int         `orm:"product_id"       json:"productId"`      // 任务商品id
	CreatedAt      *gtime.Time `orm:"created_at"       json:"createdAt"`      // 创建时间
	OnlineTime     *gtime.Time `orm:"online_time"      json:"onlineTime"`     // 上线时间
	BrandName      string      `orm:"brand_name"      json:"brandName"`       // 上线时间
}

// RequestTaskProcedureDecisionCondition 任务配置总流程
type RequestTaskProcedureDecisionCondition struct {
	TpdId              int    `orm:"tpd_id,primary"       json:"tpdId"`              //
	TaskBaseId         int    `orm:"task_base_id"         json:"taskBaseId"`         // 任务id(对应task_base_info表id字段)
	BuySamplesType     int    `orm:"buy_samples_type"     json:"buySamplesType"`     // 拍单方式 1不拍单 2样叽拍单 3其他平台拍单
	BuySamplesStage    int    `orm:"buy_samples_stage"    json:"buySamplesStage"`    // 拍单对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	ExamineDraft       int    `orm:"examine_draft"        json:"examineDraft"`       // 是否需要审核初稿 0不审核 1审核
	ExamineDraftStage  int    `orm:"examine_draft_stage"  json:"examineDraftStage"`  // 审核初稿对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	ReviewArticle      int    `orm:"review_article"       json:"reviewArticle"`      // 是否需要审核作品 0不审核 1审核
	ReviewArticleStage int    `orm:"review_article_stage" json:"reviewArticleStage"` // 审核作品对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	IsTestQulity       int    `orm:"is_test_qulity"       json:"isTestQulity"`       // 是否质检目前不可选，值固定为1
	QuilityTestStage   int    `orm:"quility_test_stage"   json:"quilityTestStage"`   // 质检对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	IsTestData         int    `orm:"is_test_data"         json:"isTestData"`         // 是否进行数据检测，目前不可选，值固定为1
	DataTestStage      int    `orm:"data_test_stage"      json:"dataTestStage"`      // 数据质检对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	ReturnSamples      int    `orm:"return_samples"       json:"returnSamples"`      // 是否返还样品 0不返还 1返还
	ReturnSamplesStage int    `orm:"return_samples_stage" json:"returnSamplesStage"` // 返还样品对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	IsAddTaskFinish    int    `orm:"is_add_task_finish"   json:"isAddTaskFinish"`    // 是否添加任务完成步骤，目前固定为1
	TaskFisnishStage   int    `orm:"task_fisnish_stage"   json:"taskFisnishStage"`   // 任务完成对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	BuySamplesCost     int64  `orm:"buy_samples_cost"    json:"buySamplesCost"`      // 拍单费用
	BuySamplesRefund   string `orm:"buy_samples_refund"    json:"buySamplesRefund"`  // 拍单退费
	SyncLogistics      int    `orm:"sync_logistics"      json:"syncLogistics"`       // 是否同步物流信息 1不同步 2同步
}

// RequestNotIdTaskProcedureDecisionCondition 任务配置总流程
type RequestNotIdTaskProcedureDecisionCondition struct {
	TaskBaseId         int    `orm:"task_base_id"         json:"taskBaseId"`         // 任务id(对应task_base_info表id字段)
	BuySamplesType     int    `orm:"buy_samples_type"     json:"buySamplesType"`     // 拍单方式 1不拍单 2样叽拍单 3其他平台拍单
	BuySamplesStage    int    `orm:"buy_samples_stage"    json:"buySamplesStage"`    // 拍单对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	ExamineDraft       int    `orm:"examine_draft"        json:"examineDraft"`       // 是否需要审核初稿 0不审核 1审核
	ExamineDraftStage  int    `orm:"examine_draft_stage"  json:"examineDraftStage"`  // 审核初稿对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	ReviewArticle      int    `orm:"review_article"       json:"reviewArticle"`      // 是否需要审核作品 0不审核 1审核
	ReviewArticleStage int    `orm:"review_article_stage" json:"reviewArticleStage"` // 审核作品对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	IsTestQulity       int    `orm:"is_test_qulity"       json:"isTestQulity"`       // 是否质检目前不可选，值固定为1
	QuilityTestStage   int    `orm:"quility_test_stage"   json:"quilityTestStage"`   // 质检对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	IsTestData         int    `orm:"is_test_data"         json:"isTestData"`         // 是否进行数据检测，目前不可选，值固定为1
	DataTestStage      int    `orm:"data_test_stage"      json:"dataTestStage"`      // 数据质检对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	ReturnSamples      int    `orm:"return_samples"       json:"returnSamples"`      // 是否返还样品 0不返还 1返还
	ReturnSamplesStage int    `orm:"return_samples_stage" json:"returnSamplesStage"` // 返还样品对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	IsAddTaskFinish    int    `orm:"is_add_task_finish"   json:"isAddTaskFinish"`    // 是否添加任务完成步骤，目前固定为1
	TaskFisnishStage   int    `orm:"task_fisnish_stage"   json:"taskFisnishStage"`   // 任务完成对应的工作流步骤stage(workflow_node_template表procedure_stage字段)
	BuySamplesCost     int64  `orm:"buy_samples_cost"    json:"buySamplesCost"`      // 拍单费用
	BuySamplesRefund   string `orm:"buy_samples_refund"    json:"buySamplesRefund"`  // 拍单退费
	SyncLogistics      int    `orm:"sync_logistics"      json:"syncLogistics"`       // 是否同步物流信息 1不同步 2同步
}

// RequestTaskProcedureDraftInfo 任务流程需要配置初稿部分
type RequestTaskProcedureDraftInfo struct {
	TaskPdId         int `orm:"task_pd_id,primary" json:"taskPdId"`         //
	TaskBaseId       int `orm:"task_base_id"       json:"taskBaseId"`       // 任务id(对应task_base_info表id字段)
	UploadLimitDay   int `orm:"upload_limit_day"   json:"uploadLimitDay"`   // 上传初稿天数限制
	UploadReduceRate int `orm:"upload_reduce_rate" json:"uploadReduceRate"` // 上传初稿超时扣费比率(*100)
	ReviseLimitDay   int `orm:"revise_limit_day"   json:"reviseLimitDay"`   // 修改初稿期限天数限制
	ReviseReduceRate int `orm:"revise_reduce_rate" json:"reviseReduceRate"` // 初稿超时扣费比率(*100)
}

// RequestNotIdTaskProcedureDraftInfo 任务流程需要配置初稿部分
type RequestNotIdTaskProcedureDraftInfo struct {
	TaskBaseId       int `orm:"task_base_id"       json:"taskBaseId"`       // 任务id(对应task_base_info表id字段)
	UploadLimitDay   int `orm:"upload_limit_day"   json:"uploadLimitDay"`   // 上传初稿天数限制
	UploadReduceRate int `orm:"upload_reduce_rate" json:"uploadReduceRate"` // 上传初稿超时扣费比率(*100)
	ReviseLimitDay   int `orm:"revise_limit_day"   json:"reviseLimitDay"`   // 修改初稿期限天数限制
	ReviseReduceRate int `orm:"revise_reduce_rate" json:"reviseReduceRate"` // 初稿超时扣费比率(*100)
}

// RequestTaskProcedureArticleInfo 任务流程需要配置作品部分
type RequestTaskProcedureArticleInfo struct {
	TpaId            int `orm:"tpa_id,primary"     json:"tpaId"`            //
	TaskBaseId       int `orm:"task_base_id"       json:"taskBaseId"`       // 任务id(对应task_base_info表id字段)
	UploadLimitDay   int `orm:"upload_limit_day"   json:"uploadLimitDay"`   // 上传作品天数限制
	UploadReduceRate int `orm:"upload_reduce_rate" json:"uploadReduceRate"` // 上传作品超时扣费比率(*100)
	ReviseLimitDay   int `orm:"revise_limit_day"   json:"reviseLimitDay"`   // 作品修改天数限制
	ReviseReduceRate int `orm:"revise_reduce_rate" json:"reviseReduceRate"` // 作品修改超时扣费比率(*100)
}

// RequestNotIdTaskProcedureArticleInfo 任务流程需要配置作品部分
type RequestNotIdTaskProcedureArticleInfo struct {
	TaskBaseId       int `orm:"task_base_id"       json:"taskBaseId"`       // 任务id(对应task_base_info表id字段)
	UploadLimitDay   int `orm:"upload_limit_day"   json:"uploadLimitDay"`   // 上传作品天数限制
	UploadReduceRate int `orm:"upload_reduce_rate" json:"uploadReduceRate"` // 上传作品超时扣费比率(*100)
	ReviseLimitDay   int `orm:"revise_limit_day"   json:"reviseLimitDay"`   // 作品修改天数限制
	ReviseReduceRate int `orm:"revise_reduce_rate" json:"reviseReduceRate"` // 作品修改超时扣费比率(*100)
}

// RequestTaskProcedureQualityDataTestInfo 任务配置流程链接质检配置
type RequestTaskProcedureQualityDataTestInfo struct {
	TpqId                   int    `orm:"tpq_id,primary"             json:"tpqId"`                   //
	TaskBaseId              int    `orm:"task_base_id"               json:"taskBaseId"`              // 任务id(对应task_base_info表id字段)
	QualityTestUrl          string `orm:"quality_test_url"           json:"qualityTestUrl"`          // 质检链接
	QualityTestLimitDay     int    `orm:"quality_test_limit_day"     json:"qualityTestLimitDay"`     // 上传质检连接天数限制
	QualityTestReduceRate   int    `orm:"quality_test_reduce_rate"   json:"qualityTestReduceRate"`   // 上传质检连接超时扣费比率(*100)
	QualityReviseLimitDay   int    `orm:"quality_revise_limit_day"   json:"qualityReviseLimitDay"`   // 修改质检连接天数限制
	QualityReviseReduseRate int    `orm:"quality_revise_reduse_rate" json:"qualityReviseReduseRate"` // 修改质检连接超时扣费比率(*100)
	DataTestUrl             string `orm:"data_test_url"              json:"dataTestUrl"`             // 数据检测连接
	DataTestLimitDay        int    `orm:"data_test_limit_day"        json:"dataTestLimitDay"`        // 上传数据检测连接天数限制
	DataTestReduceRate      int    `orm:"data_test_reduce_rate"      json:"dataTestReduceRate"`      // 上传数据检测连接超时扣费比率(*100)
	DataReviceLimitDay      int    `orm:"data_revice_limit_day"      json:"dataReviceLimitDay"`      // 修改数据检测链接天数限制
	DataReviceReduceRate    int    `orm:"data_revice_reduce_rate"    json:"dataReviceReduceRate"`    // 修改数据检测链接超时扣费比率(*100)
}

// RequestNotIdTaskProcedureQualityDataTestInfo 任务配置流程链接质检配置
type RequestNotIdTaskProcedureQualityDataTestInfo struct {
	TaskBaseId              int    `orm:"task_base_id"               json:"taskBaseId"`              // 任务id(对应task_base_info表id字段)
	QualityTestUrl          string `orm:"quality_test_url"           json:"qualityTestUrl"`          // 质检链接
	QualityTestLimitDay     int    `orm:"quality_test_limit_day"     json:"qualityTestLimitDay"`     // 上传质检连接天数限制
	QualityTestReduceRate   int    `orm:"quality_test_reduce_rate"   json:"qualityTestReduceRate"`   // 上传质检连接超时扣费比率(*100)
	QualityReviseLimitDay   int    `orm:"quality_revise_limit_day"   json:"qualityReviseLimitDay"`   // 修改质检连接天数限制
	QualityReviseReduseRate int    `orm:"quality_revise_reduse_rate" json:"qualityReviseReduseRate"` // 修改质检连接超时扣费比率(*100)
	DataTestUrl             string `orm:"data_test_url"              json:"dataTestUrl"`             // 数据检测连接
	DataTestLimitDay        int    `orm:"data_test_limit_day"        json:"dataTestLimitDay"`        // 上传数据检测连接天数限制
	DataTestReduceRate      int    `orm:"data_test_reduce_rate"      json:"dataTestReduceRate"`      // 上传数据检测连接超时扣费比率(*100)
	DataReviceLimitDay      int    `orm:"data_revice_limit_day"      json:"dataReviceLimitDay"`      // 修改数据检测链接天数限制
	DataReviceReduceRate    int    `orm:"data_revice_reduce_rate"    json:"dataReviceReduceRate"`    // 修改数据检测链接超时扣费比率(*100)
}

// RequestTaskReward 达人任务奖励
type RequestTaskReward struct {
	RewardId         int    `orm:"reward_id,primary"   json:"rewardId"`         //
	IsRewardGoods    int    `orm:"is_reward_goods"     json:"isRewardGoods"`    // 是否奖励实物
	RewardGoodsInfo  string `orm:"reward_goods_info"   json:"rewardGoodsInfo"`  // 实物奖励信息
	IsPaymentArticle int    `orm:"is_payment_article"  json:"isPaymentArticle"` // 是否获得稿费
	PaymentValue     string  `orm:"payment_value"       json:"paymentValue"`    // 稿费金额描述
	OtherRewardInfo  string `orm:"other_reward_info"   json:"otherRewardInfo"`  // 其他奖励信息
	TaskBaseId       int    `orm:"task_base_id,unique" json:"taskBaseId"`       // 关联的task_base_info的id
}

// RequestNotIdTaskReward 达人任务奖励
type RequestNotIdTaskReward struct {
	IsRewardGoods    int    `orm:"is_reward_goods"     json:"isRewardGoods"`    // 是否奖励实物
	RewardGoodsInfo  string `orm:"reward_goods_info"   json:"rewardGoodsInfo"`  // 实物奖励信息
	IsPaymentArticle int    `orm:"is_payment_article"  json:"isPaymentArticle"` // 是否获得稿费
	PaymentValue     string  `orm:"payment_value"       json:"paymentValue"`    // 稿费金额描述
	OtherRewardInfo  string `orm:"other_reward_info"   json:"otherRewardInfo"`  // 其他奖励信息
	TaskBaseId       int    `orm:"task_base_id,unique" json:"taskBaseId"`       // 关联的task_base_info的id
}

// RequestTaskRecruitRequirements 招募要求
type RequestTaskRecruitRequirements struct {
	TrrId            int    `orm:"trr_id,primary"      json:"trrId"`            //
	TalentSkillsOn   string `orm:"talent_skills_on"    json:"talentSkillsOn"`   // 达人擅长领域要求,info_tallent_skilled_area表中的id列表，以逗号分隔
	InteractType     string `orm:"interact_type"       json:"interactType"`     // 指定互动形式的内容
	RegionCode       int    `orm:"region_code"         json:"regionCode"`       // 地域码,info_region表中的self_code值
	Gender           int    `orm:"gender"              json:"gender"`           // 限制可接任务的性别,0女 1男 2不限制
	OtherRequirement string `orm:"other_requirement"   json:"otherRequirement"` // 其他要求
	TaskBaseId       int    `orm:"task_base_id,unique" json:"taskBaseId"`       // 关联的task_base_info中的id
}

// RequestNotIdTaskRecruitRequirements 招募要求
type RequestNotIdTaskRecruitRequirements struct {
	TalentSkillsOn   string `orm:"talent_skills_on"    json:"talentSkillsOn"`   // 达人擅长领域要求,info_tallent_skilled_area表中的id列表，以逗号分隔
	InteractType     string `orm:"interact_type"       json:"interactType"`     // 指定互动形式的内容
	RegionCode       int    `orm:"region_code"         json:"regionCode"`       // 地域码,info_region表中的self_code值
	Gender           int    `orm:"gender"              json:"gender"`           // 限制可接任务的性别,0女 1男 2不限制
	OtherRequirement string `orm:"other_requirement"   json:"otherRequirement"` // 其他要求
	TaskBaseId       int    `orm:"task_base_id,unique" json:"taskBaseId"`       // 关联的task_base_info中的id
}

// RequestTaskRecruitTalentLevel 合作方式、所需达人数量及对应稿费
type RequestTaskRecruitTalentLevel struct {
	TrtId           int   `orm:"trt_id,primary"    json:"trtId"`           //
	TaskBaseId      int   `orm:"task_base_id"      json:"taskBaseId"`      // 关联的task_base_info的id
	FansCountMin    int   `orm:"fans_count_min"    json:"fansCountMin"`    // 最小粉丝数
	FansCountMax    int   `orm:"fans_count_max"    json:"fansCountMax"`    // 最大粉丝数
	NeedTalentCount int   `orm:"need_talent_count" json:"needTalentCount"` // 任务需要的达人数量
	RewardRoyalties int64 `orm:"reward_royalties"  json:"rewardRoyalties"` // 稿费金额
}

// RequestNotIdTaskRecruitTalentLevel 合作方式、所需达人数量及对应稿费
type RequestNotIdTaskRecruitTalentLevel struct {
	TaskBaseId      int   `orm:"task_base_id"      json:"taskBaseId"`      // 关联的task_base_info的id
	FansCountMin    int   `orm:"fans_count_min"    json:"fansCountMin"`    // 最小粉丝数
	FansCountMax    int   `orm:"fans_count_max"    json:"fansCountMax"`    // 最大粉丝数
	NeedTalentCount int   `orm:"need_talent_count" json:"needTalentCount"` // 任务需要的达人数量
	RewardRoyalties int64 `orm:"reward_royalties"  json:"rewardRoyalties"` // 稿费金额
}

// RequestTaskPerformHelpInfo 任务执行帮助
type RequestTaskPerformHelpInfo struct {
	TphId               int    `orm:"tph_id,primary"        json:"tphId"`               //
	BrandKeyword        string `orm:"brand_keyword"         json:"brandKeyword"`        // 品牌关键词
	ProductMerits       string `orm:"product_merits"        json:"productMerits"`       // 产品亮点
	AppendTopic         string `orm:"append_topic"          json:"appendTopic"`         // 添加话题
	CaptureRequirement  string `orm:"capture_requirement"   json:"captureRequirement"`  // 拍摄要求
	RemainDays          int    `orm:"remain_days"           json:"remainDays"`          // 保留时长(天)
	OtherPerformRequire string `orm:"other_perform_require" json:"otherPerformRequire"` // 其他执行要求
	CaptureReference    string `orm:"capture_reference"     json:"captureReference"`    // 拍摄参考
	CustomServiceQrcode string `orm:"custom_service_qrcode" json:"customServiceQrcode"` // 客服二维码url
	BriefList           string `orm:"brief_list"            json:"briefList"`           // brief图片urls
	TaskBaseId          int    `orm:"task_base_id,unique"   json:"taskBaseId"`          // 关联的任务基本信息id
}

// RequestNotIdTaskPerformHelpInfo 任务执行帮助
type RequestNotIdTaskPerformHelpInfo struct {
	BrandKeyword        string `orm:"brand_keyword"         json:"brandKeyword"`        // 品牌关键词
	ProductMerits       string `orm:"product_merits"        json:"productMerits"`       // 产品亮点
	AppendTopic         string `orm:"append_topic"          json:"appendTopic"`         // 添加话题
	CaptureRequirement  string `orm:"capture_requirement"   json:"captureRequirement"`  // 拍摄要求
	RemainDays          int    `orm:"remain_days"           json:"remainDays"`          // 保留时长(天)
	OtherPerformRequire string `orm:"other_perform_require" json:"otherPerformRequire"` // 其他执行要求
	CaptureReference    string `orm:"capture_reference"     json:"captureReference"`    // 拍摄参考
	CustomServiceQrcode string `orm:"custom_service_qrcode" json:"customServiceQrcode"` // 客服二维码url
	BriefList           string `orm:"brief_list"            json:"briefList"`           // brief图片urls
	TaskBaseId          int    `orm:"task_base_id,unique"   json:"taskBaseId"`          // 关联的任务基本信息id
}

// RequestAllCreatParam 前端请求参数传入
type RequestAllCreatParam struct {
	Brand                            RequestNotIdBrand                            `json:"brand"`// 品牌创建
	Product                          RequestNotIdProduct                          `json:"product"`// 商品创建
	ProductPhoto                     []RequestNotIdProductPhoto                   `json:"productPhoto"`// 商品图片
	TaskBaseInfo                     RequestNotIdTaskBaseInfo                     `json:"taskBaseInfo"`// 任务基础
	TaskProcedureDecisionCondition   RequestNotIdTaskProcedureDecisionCondition   `json:"taskProcedureDecisionCondition"`// 任务配置总流程
	TaskProcedureDraftInfo           RequestNotIdTaskProcedureDraftInfo           `json:"taskProcedureDraftInfo"`// 任务流程需要配置初稿部分
	TaskProcedureArticleInfo         RequestNotIdTaskProcedureArticleInfo         `json:"taskProcedureArticleInfo"`// 任务流程需要配置作品部分
	TaskProcedureQualityDataTestInfo RequestNotIdTaskProcedureQualityDataTestInfo `json:"taskProcedureQualityDataTestInfo"`// 任务配置流程链接质检配置
	TaskReward                       RequestNotIdTaskReward                       `json:"taskReward"`// 达人任务奖励
	TaskRecruitRequirements          RequestNotIdTaskRecruitRequirements          `json:"taskRecruitRequirements"`// 招募要求
	TaskRecruitTalentLevel           []RequestNotIdTaskRecruitTalentLevel         `json:"taskRecruitTalentLevel"`// 合作方式、所需达人数量及对应稿费
	TaskPerformHelpInfo              RequestNotIdTaskPerformHelpInfo              `json:"taskPerformHelpInfo"`// 任务执行帮助
}

// FindAllResponse 任务管理界面查找所返回的参数
type FindAllResponse struct {
	TaskId          int    `orm:"task_id,primary"  json:"taskId"`           // 任务基础信息id
	TaskName        string `orm:"task_name"        json:"taskName"`         // 任务名称
	BusinessType    int    `orm:"business_type"    json:"businessType"`     // 业务类型 1实物 2虚拟 3线下
	TaskMode        int    `orm:"task_mode"        json:"taskMode"`         // 任务模式 1置换任务 2稿费任务 3折扣任务
	NeedTalentCount int    `orm:"need_talent_count" json:"needTalentCount"` // 任务需要的达人数量
	TalentSum       string `orm:"talent_sum" json:"talentSum"`              // 任务需要的达人数量
	// 内容形式 低4位为图片和视频类型，0001原创图片 0010指定图片 0100原创视频 1000指定视频 5~6位为文案类型 010000为原创文案 100000为指定文案 第7位为是否直播01000000为直播00000000为非直播
	ContentForm  int         `orm:"content_form"     json:"contentForm"`
	OnlineTime   *gtime.Time `orm:"online_time"      json:"onlineTime"`   // 上线时间
	DeadlineTime *gtime.Time `orm:"deadline_time"    json:"deadlineTime"` // 任务报名截至日期
	StartTime    *gtime.Time `orm:"start_time"       json:"startTime"`    // 作品开始时间
	TaskStatus   int         `orm:"task_status"      json:"taskStatus"`   // 任务状态(1,待支付。2，执行中。3，结案)
	TaskPlatform int         `orm:"task_platform"    json:"taskPlatform"` // 任务平台id,取third_platform_info表id
	BrandId      int         `orm:"brand_id"         json:"brandId"`      // 品牌id
	ProductId    int         `orm:"product_id"       json:"productId"`    // 任务商品id
}

type TaskCondition struct {
	TaskId       string   `orm:"task_id"  json:"taskId"`               // 任务基础信息id
	TaskName     string   `orm:"task_name"        json:"taskName"`     // 任务名称
	TaskStatus   string   `orm:"task_status"      json:"taskStatus"`   // 任务状态(1,待支付。2，执行中。3，结案)
	BusinessType string   `orm:"business_type"    json:"businessType"` // 业务类型 1实物 2虚拟 3线下
	TaskPlatform string   `orm:"task_platform"    json:"taskPlatform"` // 任务平台id,取third_platform_info表id
	ContentForm  string   `orm:"content_form"     json:"contentForm"`  // 内容形式
	OnlineTime   []string `orm:"online_time"      json:"onlineTime"`   // 上线时间
}

// TaskFindAll  所有分页查询接收信息类型
type TaskFindAll struct {
	IndexPage int `v:"required#页码不能为空"`
	PageSize  int `v:"required#每页展示行数不能为空"`
	Task      *TaskCondition
}

// RequestStatus 修改任务状态接收参数
type RequestStatus struct {
	TaskId     int `orm:"task_id,primary"  json:"taskId"`     // 任务基础信息id
	TaskStatus int `orm:"task_status"      json:"taskStatus"` // 任务状态(1,待支付。2，执行中。3，结案)
}

// RequestTaskInfo 单个查询任务所有信息
type RequestTaskInfo struct {
	TaskId    int `orm:"task_id,primary"  json:"taskId"`    // 任务基础信息id
	BrandId   int `orm:"brand_id"         json:"brandId"`   // 品牌id
	ProductId int `orm:"product_id"       json:"productId"` // 任务商品id
	IndexPage int
	PageSize  int
}

// ResponseAllCreatParam 单个信息所有查询返回值
type ResponseAllCreatParam struct {
	Brand                            *RequestBrand                            `json:"brand"`                            // 品牌创建
	Product                          *RequestProduct                          `json:"product"`                          // 商品创建
	ProductPhoto                     []*RequestProductPhoto                   `json:"productPhoto"`                     // 商品图片
	TaskBaseInfo                     *RequestTaskBaseInfo                     `json:"taskBaseInfo"`                     // 任务基础
	TaskProcedureDecisionCondition   *RequestTaskProcedureDecisionCondition   `json:"taskProcedureDecisionCondition"`   // 任务配置总流程
	TaskProcedureDraftInfo           *RequestTaskProcedureDraftInfo           `json:"taskProcedureDraftInfo"`           // 任务流程需要配置初稿部分
	TaskProcedureArticleInfo         *RequestTaskProcedureArticleInfo         `json:"taskProcedureArticleInfo"`         // 任务流程需要配置作品部分
	TaskProcedureQualityDataTestInfo *RequestTaskProcedureQualityDataTestInfo `json:"taskProcedureQualityDataTestInfo"` // 任务配置流程链接质检配置
	TaskReward                       *RequestTaskReward                       `json:"taskReward"`                       // 达人任务奖励
	TaskRecruitRequirements          *RequestTaskRecruitRequirements          `json:"taskRecruitRequirements"`          // 招募要求
	TaskRecruitTalentLevel           []*RequestTaskRecruitTalentLevel         `json:"taskRecruitTalentLevel"`           // 合作方式、所需达人数量及对应稿费
	TaskPerformHelpInfo              *RequestTaskPerformHelpInfo              `json:"taskPerformHelpInfo"`              // 任务执行帮助
}

// SendProductAddress 发货地址分页查询
type SendProductAddress struct {
	IndexPage int `v:"required#页码不能为空"`
	PageSize  int `v:"required#每页展示行数不能为空"`
}

// ResponseOrderDeliveryInfo 发货地址信息传回
type ResponseOrderDeliveryInfo struct {
	OrderDeliveryId  int         `orm:"order_delivery_id,primary" json:"orderDeliveryId"`  // 发货信息id
	OrderId          int         `orm:"order_id"                  json:"orderId"`          // 订单id
	OrderAddressee   string      `orm:"order_addressee"           json:"orderAddressee"`   // 订单收件人
	OrderPhone       string      `orm:"order_phone"               json:"orderPhone"`       // 订单所填手机号
	OrderAddress     string      `orm:"order_address"             json:"orderAddress"`     // 订单地址
	LogisticsCompany string      `orm:"logistics_company"         json:"logisticsCompany"` // 物流公司
	TrackingNum      string      `orm:"tracking_num"              json:"trackingNum"`      // 物流单号
	CreatedAt        *gtime.Time `orm:"created_at"                json:"createdAt"`        // 创建时间(发货时间)
	ConfirmTime      *gtime.Time `orm:"confirm_time"              json:"confirmTime"`      // 确认收获时间
	DeliveryTime     *gtime.Time `orm:"delivery_time"             json:"deliveryTime"`     // 发货时间
	DeliveryStatus   string      `orm:"delivery_status"             json:"deliveryStatus"` // 发货时间
}

// ResponseRecruit 招募信息查询返回值
type ResponseRecruit struct {
	TrtId           int `orm:"trt_id,primary"    json:"trtId"`           // 招募等级所所对应的id
	TaskBaseId      int `orm:"task_base_id"      json:"taskBaseId"`      // 关联的task_base_info的id
	FansCountMin    int `orm:"fans_count_min"    json:"fansCountMin"`    // 最小粉丝数
	FansCountMax    int `orm:"fans_count_max"    json:"fansCountMax"`    // 最大粉丝数
	NeedTalentCount int `orm:"need_talent_count" json:"needTalentCount"` // 任务需要的达人数量
	CountSum        int `orm:"count_sum" json:"countSum"`                // 报名数量
	CountSelect     int `orm:"count_select" json:"countSelect"`          // 已反选
}

// ResponseBI 数据BI返回值
type ResponseBI struct {
	ApplySum     string `orm:"apply_sum"    json:"applySum"`          // 报名人数
	TaskIdSelect string `orm:"task_id_select"    json:"TaskIdSelect"` // 已反选
	TaskIdDraft  string `orm:"task_id_draft"    json:"TaskIdDraft"`   // 初稿合格
	TaskIdLink   string `orm:"task_id_link"    json:"TaskIdLink"`     // 链接合格
	TaskIdFinish string `orm:"task_id_finish"    json:"TaskIdFinish"` // 已完成
}
