package talent_model

import (
	"github.com/gogf/gf/os/gtime"
	"youngmini_server/app/model"
)

type BoBoCoinOrderInfo struct {
	OrderId				   uint64      `orm:"order_id"                  json:"orderId"`
	TaskName               string      `orm:"task_name"                 json:"taskName"`               // 任务名称(冗余)
	ProductName            string      `orm:"product_name"              json:"productName"`            // 商品名称(冗余)
	ProductMainImg         string      `orm:"product_main_img"          json:"productMainImg"`         // 商品主图url(冗余)
	SettleAmount           int64       `orm:"settle_amount"             json:"settleAmount"`           // 待结算金额
	TalentPlatformInfoSnap string      `orm:"talent_platform_info_snap" json:"talentPlatformInfoSnap"` // 达人平台信息快照
	CompleteStatus         int         `orm:"complete_status"           json:"completeStatus"`         // 结束方式 1未结束 2正常结束 3反选失败 4达人取消
	CreateDate             *gtime.Time `orm:"create_date"               json:"createDate"`             // 创建时间
	CompleteDate           *gtime.Time `orm:"complete_date"             json:"completeDate"`           // 结束时间
}

type BoBoCoinOrderSettleStateResult struct {
	SettleUpOrders []*BoBoCoinOrderInfo       // 已结算订单列表
	UnsettledOrders []*BoBoCoinOrderInfo      // 未结算订单列表
}

// BoBoCoinDetailAccount 卜卜币流水账
type BoBoCoinDetailAccount struct {
	WaitSettle    int64                             `json:"wait_settle"`     // 待结算
	SettleUp      int64                             `json:"settle_up"`       // 已结算
	CanWithdraw   int64                             `json:"can_withdraw"`    // 可提现
	HasWithDraw   int64                             `json:"has_with_draw"`   // 已提现
	WaitPay       int64                             `json:"wait_pay"`        // 待打款
	IncomeList    []*model.BobocoinIncomeRecord     `json:"income_list"`     // 收入列表
	DrawMoneyList []*model.BobocoinWithdrawalRecord `json:"draw_money_list"` // 提现列表
	DeductList    []*model.BobocoinDeductRecord     `json:"de_duct_list"`    // 扣费列表
}

type BoBoCoinAliAccountInfo struct {
	AliName string `orm:"ali_name" json:"aliName" v:"required#must input aliName"`
	AliAccount string `orm:"ali_account" json:"aliAccount" v:"required#must input aliAccount"`
}

// BoBoCoinWithdrawInfo 进入提现页面是返回的数据格式
type BoBoCoinWithdrawInfo struct {
	BoBoCoinValue int64  `json:"bo_bo_coin_value"`
	AliName       string `json:"ali_name"`
	AliAccount    string `json:"ali_account"`
}

type BoBoCoinWithdrawalReq struct {
	WithdrawalAmount int64 `json:"withdrawal_amount" v:"required|integer#must input withdraw amount|type of withdraw amount is int"`
}