package talent_model

type PlatformDianping struct {
	TalentId           int    `orm:"talent_id,unique"      json:"talentId"`                                                                               // 达人账号id(talent_info表id值)
	PlatformId         int    `orm:"platform_id"           json:"platformId" v:"required|integer|between:1,7#必须输入平台id|平台id类型为int|平台id取值范围为 :min到:max"`    // 平台id，与third_platform_info中的id相同
	PlatformName       string `orm:"platform_name"         json:"platformName"`                                                                           // 平台名称(冗余)
	PlatformIconUrl    string `orm:"platform_icon_url"     json:"platformIconUrl"`                                                                        // 平台icon的url(冗余)
	PlatformAccountId  string `orm:"platform_account_id"   json:"platformAccountId"`                                                                      // 在平台上的账号
	PlatformNickname   string `orm:"platform_nickname"     json:"platformNickname" v:"required|length:1,30#必须输入平台昵称|platformNickname长度非法"`                // 在平台上的昵称
	HomePageUrl        string `orm:"home_page_url"         json:"homePageUrl" v:"required|url#必须输入主页链接|主页链接为url"`                                         // 主页链接
	FansCount          int64  `orm:"fans_count"            json:"fansCount" v:"required|integer|min:0#必须输入粉丝数|粉丝数为整数类型|必须为正整数"`                                        // 粉丝数
	GotLikeCount       int64  `orm:"got_like_count"        json:"gotLikeCount" v:"required|integer|min:0#必须输入点赞数|点赞数类型为整数类型|必须为正整数"`                                   // 点赞数
	MembershipLevel    int    `orm:"membership_level"      json:"membershipLevel" v:"integer|min:0#会员等级类型为整数类型|必须为正整数"`                              // 会员等级
	IsAppearInVideo    int    `orm:"is_appear_in_video"    json:"isAppearInVideo" v:"integer|between:0,1#是否出镜为整数类型|是否出镜取值范围 :min到:max"` // 是否出镜
	HomePageCaptureUrl string `orm:"home_page_capture_url" json:"homePageCaptureUrl" v:"required|url#必须输入主页截图链接|主页截图链接为url"`                              // 主页截图图片url
	AccountFrom        string `orm:"account_from"          json:"accountFrom"`                                                                            // 账号来源(仅B端批量上传的账号需要填写)
}