package talent_model

// TalentSelfInputInfo 达人端用户输入的属性
type TalentSelfInputInfo struct {
	TalentAgeBracket  int    `orm:"talent_age_bracket"  json:"talentAgeBracket"  v:"integer|between:1, 5#达人年龄段类型为整形|达人年龄段取值范围为 :min, :max"`                // 年龄段，取talent_age_bracket表id
	TalentSkinType    int    `orm:"talent_skin_type"    json:"talentSkinType"    v:"integer|between:1, 6#达人肤质为整形|达人肤质取值范围为 :min, :max"`                      // 肤质，取talent_skin_type表的id
	TalentNationality int    `orm:"talent_nationality"  json:"talentNationality" v:"integer|between:1, 2#达人国籍为整形|达人国籍取值范围为 :min, :max"`                      // 国籍，取talent_nationality表id
	VisitStoreRegion  int    `orm:"visit_store_region"  json:"visitStoreRegion"  v:"integer#探店区域类型为整形"`                                                          // 探店区域，取region_info表中的self_code
	TalentGender      int    `orm:"talent_gender"       json:"talentGender"      v:"integer|required|between:0,2#性别类型为整数类型|性别为必填项|性别取值范围为:0未知 1男 2女"` // 性别，0未知 1男 2女
	TalentWxNumber    string `orm:"talent_wx_number"    json:"talentWxNumber"    v:"required#必须填写微信号"`                                                            // 达人微信号
	TalentPhoneNumber string `orm:"talent_phone_number" json:"talentPhoneNumber" v:"required|phone#必须填写电话号码|电话号码格式不正确"`                                     // 电话号码
}
